Skip to main content
PATCH
/
price_variants
/
{id}
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.priceVariants.update({
    id: "<id>",
    priceVariantUpdateRequest: {},
  });

  console.log(result);
}

run();
curl --request PATCH \
  --url https://api.crevio.co/v1/price_variants/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "amount": 123,
  "currency": "<string>",
  "interval_count": 123,
  "installment_count": 123,
  "setup_fee_amount": 123,
  "trial_period_days": 123,
  "revoke_after_days": 123,
  "quantity_available": 123,
  "waitlist": true,
  "archived": true,
  "hidden": true
}
'
import requests

url = "https://api.crevio.co/v1/price_variants/{id}"

payload = {
    "name": "<string>",
    "amount": 123,
    "currency": "<string>",
    "interval_count": 123,
    "installment_count": 123,
    "setup_fee_amount": 123,
    "trial_period_days": 123,
    "revoke_after_days": 123,
    "quantity_available": 123,
    "waitlist": True,
    "archived": True,
    "hidden": True
}
headers = {
    "Authorization": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: '<string>',
    amount: 123,
    currency: '<string>',
    interval_count: 123,
    installment_count: 123,
    setup_fee_amount: 123,
    trial_period_days: 123,
    revoke_after_days: 123,
    quantity_available: 123,
    waitlist: true,
    archived: true,
    hidden: true
  })
};

fetch('https://api.crevio.co/v1/price_variants/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "object": "<string>",
  "name": "<string>",
  "amount": 123,
  "interval_count": 123,
  "installment_count": 123,
  "setup_fee_amount": 123,
  "trial_period_days": 123,
  "revoke_after_days": 123,
  "quantity_available": 123,
  "archived": true,
  "position": 123,
  "hidden": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "currency": "<string>",
  "discounted_from_amount": 123,
  "minimum_amount": 123,
  "maximum_amount": 123,
  "preset_amount": 123,
  "waitlist": true,
  "purchase_url": "<string>",
  "product": "<string>",
  "benefits": [
    "<string>"
  ]
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "bad_request",
    "message": "The request was malformed or contained invalid parameters"
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "authentication_required",
    "message": "You did not provide an API key."
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "forbidden",
    "message": "You do not have permission to perform this action"
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "resource_missing",
    "message": "The requested resource was not found"
  }
}
{
  "error": {
    "type": "validation_error",
    "code": "validation_failed",
    "message": "Email is required",
    "errors": {
      "email": [
        "can't be blank"
      ]
    }
  }
}
{
  "error": {
    "type": "api_error",
    "code": "internal_error",
    "message": "An unexpected error occurred"
  }
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Path Parameters

id
string
required

The resource ID (e.g., "prod_abc123") or slug (e.g., "my-product")

Body

application/json
name
string
amount_type
enum<string>
Available options:
free,
fixed,
custom
amount
integer | null
currency
string | null
billing_type
enum<string>
Available options:
subscription,
one_time,
payment_plan
recurring_interval
enum<string> | null
Available options:
day,
week,
month,
year
interval_count
integer
installment_count
integer | null
setup_fee_amount
integer | null
trial_period_days
integer | null
revoke_after_days
integer | null
quantity_available
integer | null
waitlist
boolean
archived
boolean | null
hidden
boolean | null

Response

Price variant updated

id
string
required
object
string
required
name
string
required
amount
integer | null
required
amount_type
enum<string>
required
Available options:
free,
fixed,
custom
billing_type
enum<string>
required
Available options:
subscription,
one_time,
payment_plan
recurring_interval
enum<string> | null
required
Available options:
day,
week,
month,
year,
null
interval_count
integer
required
installment_count
integer | null
required
setup_fee_amount
integer | null
required
trial_period_days
integer | null
required
revoke_after_days
integer | null
required
quantity_available
integer | null
required
archived
boolean | null
required
position
integer
required
hidden
boolean | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
currency
string | null
required
discounted_from_amount
integer | null
required
minimum_amount
integer | null
required
maximum_amount
integer | null
required
preset_amount
integer | null
required
waitlist
boolean
required
purchase_url
string
required
product
string
required
benefits
string[]